%define upstream_name    Importer
%define upstream_version 0.026

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Alternative but compatible interface to modules that export symbols
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
This module acts as a layer between the Exporter manpage and modules which
consume exports. It is feature-compatible with the Exporter manpage, plus
some much needed extras. You can use this to import symbols from any
exporter that follows the Exporter manpages specification. The exporter
modules themselves do not need to use or inherit from the the Exporter
manpage module, they just need to set '@EXPORT' and/or other variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Aug 18 2020 tv <tv> 0.26.0-1.mga8
+ Revision: 1614688
- update to 0.026

* Wed Feb 12 2020 umeabot <umeabot> 0.25.0-3.mga8
+ Revision: 1504835
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.25.0-2.mga7
+ Revision: 1284370
- Mageia 7 Mass Rebuild

* Mon Feb 19 2018 tv <tv> 0.25.0-1.mga7
+ Revision: 1202976
- update to 0.025

* Sat Jul 22 2017 shlomif <shlomif> 0.24.0-1.mga7
+ Revision: 1128169
- imported package perl-Importer

